> ## Documentation Index
> Fetch the complete documentation index at: https://docs.camb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List SRT Flows

> List all stream flows belonging to your team.

## Overview

Returns a summary of every flow owned by your team. Use
[Get an SRT Flow](get-flow) to retrieve a flow's URLs and key.

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://client.camb.ai/apis/flows" \
    -H "x-api-key: YOUR_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://client.camb.ai/apis/flows",
      headers={"x-api-key": "YOUR_API_KEY"},
  )

  response.raise_for_status()
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "id": 42,
      "label": "stadium-encoder",
      "mode": "listener",
      "failover": true,
      "active": true,
      "team_id": 7
    }
  ]
  ```
</ResponseExample>

## Related endpoints

* [Create an SRT Flow](create-flow)
* [Get an SRT Flow](get-flow)


## OpenAPI

````yaml get /flows
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://client.camb.ai/apis
security: []
paths:
  /flows:
    get:
      tags:
        - Apis
        - Streaming
      summary: List Flows
      description: List all flows belonging to your team.
      operationId: list_flows_flows_get
      responses:
        '200':
          description: Flows belonging to your team.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FlowSummary'
      security:
        - APIKeyHeader: []
components:
  schemas:
    FlowSummary:
      type: object
      title: FlowSummary
      properties:
        id:
          type: integer
          title: ID
          description: Flow identifier.
        label:
          type: string
          title: Label
        mode:
          $ref: '#/components/schemas/FlowMode'
        failover:
          type: boolean
          title: Failover
        active:
          type: boolean
          title: Active
          description: Whether the flow's relay is currently online.
        team_id:
          type: integer
          title: Team ID
    FlowMode:
      type: string
      enum:
        - caller
        - listener
      title: FlowMode
      description: >-
        `caller`: Camb.ai connects out to your SRT endpoint (`primary_url`) and
        re-serves it. `listener`: Camb.ai hosts an SRT endpoint that your
        encoder pushes to.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The `x-api-key` is a custom header required for authenticating requests
        to our API. Include this header in your request with the appropriate API
        key value to securely access our endpoints. You can find your API key(s)
        in the 'API' section of our studio website.

````